# List facility room types

This endpoint returns room facility types names and their translations (EN is default).

Endpoint: GET /demand-api-v2-compatible/hotelFacilityTypes
Version: 1.2.1
Security: BearerAuth

## Query parameters:

  - `hotelFacilityInputDto` (object, required)

## Header parameters:

  - `Accept` (string)
    Enum: "application/json"

## Response 200 fields (application/json):

  - `meta` (object)

  - `meta.ruid` (string)

  - `result` (array)

  - `result.hotel_facility_type_id` (integer)
    Unique ID of the hotel facility type.

  - `result.facility_type_id` (integer)
    The type of facility this is, mapped from FacilityTypes.

  - `result.name` (string)
    The name of this facility type in english.
    Example: "Parking"

  - `result.translations` (array)
    The fields and their translations in various languages. They are only shown if we have the translations available.

  - `result.translations.language` (string)

  - `result.translations.name` (string)

## Response 400 fields (application/json):

  - `errors` (array)
    List of errors that occurred during request processing.

  - `errors.id` (string)
    Machine-readable error identifier.
    Example: "invalid_parameter"

  - `errors.name` (string)
    Human-readable error name.
    Example: "Invalid Value"

  - `errors.message` (string)
    Detailed error message explaining what went wrong.
    Example: "The request contains an invalid parameter."

  - `meta` (object)

  - `meta.ruid` (string)

  - `meta.account_id` (string)
    Account ID that triggered request, useful for debugging and support.
    Example: "123432"


